﻿Imports System.Xml
Imports C1.Win.C1FlexGrid

Public Class Form1

    Dim defaultSortDefn = String.Empty
    Dim dataTable As DataTable

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        defaultSortDefn = C1FlexGrid1.SortDefinition
        C1FlexGridGroupPanel1.FlexGrid = C1FlexGrid1
        dataTable = GetDataSource()
        C1FlexGrid1.DataSource = dataTable
        C1FlexGrid1.AllowSorting = AllowSortingEnum.MultiColumn

    End Sub

    ''' <summary>
    ''' Sample data for grid
    ''' </summary>
    Private Function GetDataSource() As Object
        Dim dt As New DataTable()

        dt.Columns.Add("Id")
        dt.Columns.Add("Name")
        dt.Columns.Add("Position")
        dt.Columns.Add("Site")

        dt.Rows.Add(1, "Peter", "D", "Toronto")
        dt.Rows.Add(2, "George", "D", "Venice")
        dt.Rows.Add(3, "Emily", "C", "Paris")
        dt.Rows.Add(4, "Craig", "I", "Berlin")
        dt.Rows.Add(5, "Steve", "F", "Milan")
        dt.Rows.Add(6, "John", "I", "Tokyo")
        dt.Rows.Add(7, "Fred", "B", "Rome")
        dt.Rows.Add(8, "Mary", "D", "Madrid")


        Return dt
    End Function

    Private Sub resetSort_Click(sender As Object, e As EventArgs) Handles resetSort.Click
        C1FlexGrid1.SortDefinition = defaultSortDefn
        C1FlexGrid1.AllowSorting = AllowSortingEnum.SingleColumn
    End Sub

    Private Sub C1FlexGrid1_AfterSort(sender As Object, e As EventArgs) Handles C1FlexGrid1.AfterSort
        If C1FlexGrid1.AllowSorting = AllowSortingEnum.SingleColumn Then C1FlexGrid1.AllowSorting = AllowSortingEnum.MultiColumn
    End Sub
End Class